Render image
curl --request POST \
--url https://api.kynva.ai/api/v1/zapier/actions/render \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "<string>",
"brandName": "<string>",
"primaryColor": "<string>",
"secondaryColor": "<string>",
"accentColor": "<string>",
"headline": "<string>",
"subheadline": "<string>",
"body": "<string>",
"cta": "<string>",
"mood": "<string>",
"style": "<string>",
"heroImageUrl": "<string>",
"logoUrl": "<string>",
"platform": "<string>",
"format": "<string>",
"imageFormat": "<string>",
"quality": "<string>",
"customWidth": 123,
"customHeight": 123
}
'import requests
url = "https://api.kynva.ai/api/v1/zapier/actions/render"
payload = {
"templateId": "<string>",
"brandName": "<string>",
"primaryColor": "<string>",
"secondaryColor": "<string>",
"accentColor": "<string>",
"headline": "<string>",
"subheadline": "<string>",
"body": "<string>",
"cta": "<string>",
"mood": "<string>",
"style": "<string>",
"heroImageUrl": "<string>",
"logoUrl": "<string>",
"platform": "<string>",
"format": "<string>",
"imageFormat": "<string>",
"quality": "<string>",
"customWidth": 123,
"customHeight": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: '<string>',
brandName: '<string>',
primaryColor: '<string>',
secondaryColor: '<string>',
accentColor: '<string>',
headline: '<string>',
subheadline: '<string>',
body: JSON.stringify('<string>'),
cta: '<string>',
mood: '<string>',
style: '<string>',
heroImageUrl: '<string>',
logoUrl: '<string>',
platform: '<string>',
format: '<string>',
imageFormat: '<string>',
quality: '<string>',
customWidth: 123,
customHeight: 123
})
};
fetch('https://api.kynva.ai/api/v1/zapier/actions/render', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"width": 123,
"height": 123,
"format": "<string>"
}Zapier
Render image
Render an image (Zapier action)
POST
/
api
/
v1
/
zapier
/
actions
/
render
Render image
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
⌘I